Subject: [renum] Router restart in renumbering

From: "Leo Liu(bing)" <[email-masked]>
Date: Mon, 19 Sep 2011 09:35:14 +0000

Hi, all

In RFC2072:
-- section 5.4 "Be aware that dynamically learned names and addresses may be cached in router tables. For a router to learn changes in address to name correspondence, it may be necessary to restart the router or explicitly clear the cache."
-- section 5.5.3 "Restarting may be the only way to force the autoconfigured router to learn its new address."

RFC5887 and gap analysis also quoted this issue.

Anybody know is it still a problem for current routers?

---

From: "George, Wesley" <[email-masked]>
Date: Mon, 19 Sep 2011 08:57:41 -0400

I don't know if it's a current issue, since that's largely an implementation detail, but I think that we should probably be explicit that any device that supports renumbering needs a way to clear cached info via a command. The requirements should be something like:
MUST  have a way to manually trigger a clear of dynamically learned names and addresses
MUST NOT require a restart to clear
MAY trigger cache clearing automatically using some other method (such as detection of an address change)
SHOULD clear the cache entries in a minimally traffic-impacting way unless such a thing is not possible.

Wes, speaking as individual

From: [email-masked] [mailto:[email-masked]] On Behalf Of Leo Liu(bing)
Sent: Monday, September 19, 2011 5:35 AM
To: [email-masked]
Subject: [renum] Router restart in renumbering

Hi, all

In RFC2072:

________________________________
This E-mail and any of its attachments may contain Time Warner Cable proprietary information, which is privileged, confidential, or subject to copyright belonging to Time Warner Cable. This E-mail is intended solely for the use of the individual or entity to which it is addressed. If you are not the intended recipient of this E-mail, you are hereby notified that any dissemination, distribution, copying, or action taken in relation to the contents of and attachments to this E-mail is strictly prohibited and may be unlawful. If you have received this E-mail in error, please notify the sender immediately and permanently delete the original and any copy of this E-mail and any printout.